System.Design 1.0.5000.0 2.0.0.0 System.Drawing.Design.UITypeEditor To be added.

Implements the basic functionality that can be used to design value editors. These editors can, in turn, provide a user interface for representing and editing the values of objects of the supported data types.

- Constructor
  To be added.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Constructor
  To be added.

  Initializes a new instance of the class.

  The specified sub-object selector value.
  1.0.5000.0
  2.0.0.0
- Field
  System.Object To be added.

  Represents the current value of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` `` ``

  A service provider is provided so that the editor can obtain any required services.

  Edits the value of the specified object using the editor style indicated by .

  The new value of the object. If the value of the object has not changed, the method should return the same object it was passed.

  An that can be used to gain additional context information. An that this editor can use to obtain services. The object to edit. 1.0.5000.0 2.0.0.0
- Method
  System.Boolean `` To be added.

  Determines whether the specified is equal to the current .

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current . 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added. 1.0.5000.0 2.0.0.0
- Method
  System.Drawing.Design.UITypeEditorEditStyle `` To be added.

  Gets the editor style used by the method.

  A value that indicates the style of editor used by .

  An that can be used to gain additional context information. 1.0.5000.0 2.0.0.0
- Field
  System.Object To be added.

  Represents the previous value of .

  1.0.5000.0
  2.0.0.0
- Method
  System.Void `` To be added.

  Sets the current to the specified value.

  The specified value. 1.0.5000.0 2.0.0.0
- Field
  System.Boolean To be added.

  Controls whether or not the nodes within the hierarchical collection of labeled items are accessible.

  1.0.5000.0
  2.0.0.0